Skip to main content

Perform a complete image update

Performs a complete image update operation on a single node of the specified Cloud Volumes ONTAP system. Use this to apply updates and ensure the node is running the latest image version.

HTTP method and endpoint

POST /vsa/working-environments/{workingEnvironmentId}/update-image

Parameters

Name Type In Required Description

workingEnvironmentId

string

path

True

Request Body

Name Type Required Description

updateParameter

string

True

Parameter specific to the specified update type. External file URL or the NetApp Console provided image name.

updateType

string

True

System update type. System updates can be performed by providing either an external URL that ONTAP will use to download the image file or a name of an image provided by the NetApp Console.

Example request
{
  "updateParameter": "string",
  "updateType": "string"
}

Error

Status: Default, Default response